---
stage: none
group: Contributor Success
info: Any user with at least the Maintainer role can merge updates to this content. For details, see https://docs.gitlab.com/ee/development/development_processes.html#development-guidelines-review.
---

# GitLab Early Access Program

NOTE:
Last status update 2024-09-01.

These features may not be ready for production use and follow the [Experimental or Beta policy](../../policy/experiment-beta-support.md) of GitLab.

WARNING:
The GitLab Early Access Program is not operational yet. This page is in draft and in preparation for an upcoming launch.

## Features included in the GitLab Early Access Program

| Name                                                                                                                                              | Status                                                           | Included date |
|---------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------|-------------|
| [GitLab Duo Merge Request Summary](../../user/project/merge_requests/duo_in_merge_requests.md#generate-a-description-by-summarizing-code-changes) | [Beta](../../policy/experiment-beta-support.md#beta)             | 2024-09-01  |
| [GitLab Duo Vulnerability Resolution](../../user/application_security/vulnerabilities/index.md#vulnerability-resolution)                          | [Beta](../../policy/experiment-beta-support.md#beta)             | 2024-09-01  |
| [GitLab Duo Discussion Summary](../../user/discussions/index.md#summarize-issue-discussions-with-duo-chat)                                        | [Beta](../../policy/experiment-beta-support.md#beta)             | 2024-09-01  |
| [GitLab Duo Issue Description Generation](../../user/gitlab_duo/experiments.md#populate-an-issue-with-issue-description-generation)               | [Experiment](../../policy/experiment-beta-support.md#experiment) | 2024-09-01  |
| [GitLab Duo Code Review Summary](../../user/project/merge_requests/duo_in_merge_requests.md#summarize-a-code-review)                              | [Experiment](../../policy/experiment-beta-support.md#experiment) | 2024-09-01  |
| [GitLab Duo Product Analytics](../../user/analytics/analytics_dashboards.md#generate-a-custom-visualization-with-gitlab-duo)                      | [Experiment](../../policy/experiment-beta-support.md#experiment) | 2024-09-01  |

Would you like to use a paid feature but don't have a subscription?
You are more than welcome to [request a free trial](https://about.gitlab.com/free-trial/).

## Add a feature to the program

Create a merge request and add your feature to the [table above](#features-included-in-the-gitlab-early-access-program). Assign `@nick_vh` and `@knockfog-ext` as reviewers. In addition, post a message in the `#developer-relations-early-access-program` Slack channel for details.

<!--
## Features previously enrolled

| Name                                                                              | Status     | Enrolled at   | Removed at   |
|-----------------------------------------------------------------------------------|------------|---------------| -------------|
|                                                                                   |            |               |              |
-->
